<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.shape.Line?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/17" xmlns:fx="http://javafx.com/fxml/1" fx:controller="org.but.feec.booking.controller.UpdateController">
    <children>
        <GridPane layoutX="22.0" layoutY="78.0" prefHeight="255.0" prefWidth="550.0">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="269.39996337890625" minWidth="10.0" prefWidth="134.3999755859375" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="449.4000244140625" minWidth="10.0" prefWidth="416.00002441406247" />
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints maxHeight="66.0" minHeight="10.0" prefHeight="39.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="57.0" minHeight="30.0" prefHeight="57.0" />
            <RowConstraints />
            </rowConstraints>
            <children>
                <Label text="* ID :" wrapText="true">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <Label text="Name :" GridPane.rowIndex="1">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <Label text="Surname :" GridPane.rowIndex="2">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <Label text="Date of birth :" GridPane.rowIndex="3">
                    <padding>
                        <Insets left="5.0" />
                    </padding>
               <font>
                  <Font name="Century" size="16.0" />
               </font>
                </Label>
                <TextField fx:id="idTextField" promptText="type person id " GridPane.columnIndex="1" />
                <TextField fx:id="nameTextField" promptText="type person name" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                <TextField fx:id="surnameTextField" promptText="type person surname" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                <TextField fx:id="dateOfBirthTextField" promptText="type new person date of birth (e.g. 2001-07-20)" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            </children>
        </GridPane>
        <Button fx:id="updateButton" layoutX="240.0" layoutY="346.0" mnemonicParsing="false" onAction="#updateActionHandler" prefHeight="30.0" prefWidth="120.0" text="UPDATE">
         <font>
            <Font name="Century" size="16.0" />
         </font></Button>
      <Label alignment="CENTER" layoutX="226.0" layoutY="9.0" prefHeight="30.0" prefWidth="148.0" text="UPDATE A">
         <font>
            <Font name="Century" size="14.0" />
         </font>
      </Label>
      <Label alignment="CENTER" layoutX="226.0" layoutY="30.0" prefHeight="30.0" prefWidth="148.0" text="GUEST">
         <font>
            <Font name="Century" size="27.0" />
         </font>
      </Label>
      <Line endX="80.0" endY="-1.52587890625E-5" layoutX="294.0" layoutY="73.0" startX="-69.5999755859375" startY="-1.52587890625E-5" stroke="#cddc39" strokeWidth="3.0" />
      <Label alignment="CENTER" layoutX="459.0" layoutY="362.0" prefHeight="18.0" prefWidth="122.0" text="* = required field">
         <font>
            <Font name="Century" size="14.0" />
         </font>
      </Label>
      <ImageView fitHeight="30.0" fitWidth="30.0" layoutX="557.0" layoutY="15.0">
         <image>
            <Image url="@../icons/icons8-upload-50.png" />
         </image>
      </ImageView>
    </children>
</AnchorPane>
